<?php

namespace Drupal\contextly\Controller;

use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Drupal\Core\Controller\ControllerBase;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Class CpTourController.
 */
class AdminController extends ControllerBase implements ContainerInjectionInterface {

  /**
   * The contextly base service.
   *
   * @var \Drupal\contextly\ContextlyBaseServiceInterface
   */
  protected $contextlyBase;

  public static function create(ContainerInterface $container) {
    $instance = parent::create($container);
    $instance->contextlyBase = $container->get('contextly.base');

    return $instance;
  }

  /**
   * Cp Tour.
   *
   * @return string
   *   Return Hello string.
   */
  public function cpTour() {
    return $this->contextlyBase->settingsCpTourRedirect();
  }

  /**
   * Set Api Key.
   *
   * @return string
   *   Return Hello string.
   */
  public function setApiKey() {
    return $this->contextlyBase->settingsSetApiKeyRedirect();
  }

}
